=== debian/changelog ===
xdg-desktop-portal-hyprland (1.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1080034)
  * debian/copyright: Update information about files under
    protocols/ directory.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Sep 2024 18:12:33 -0400
