=== debian/control ===
Source: xdg-desktop-portal-hyprland
Section: x11
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake (>= 3.19),
 debhelper-compat (= 13),
 hyprland-protocols,
 libdrm-dev,
 libgbm-dev,
 libhyprlang-dev,
 libpipewire-0.3-dev,
 libsdbus-c++-dev,
 libspa-0.2-dev,
 libwayland-dev,
 pkgconf,
 qt6-base-dev,
 wayland-protocols,
Standards-Version: 4.7.0
Homepage: https://github.com/hyprwm/xdg-desktop-portal-hyprland
Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland.git
Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland

Package: xdg-desktop-portal-hyprland
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XDG Desktop Portal backend for Hyprland
 This package provides an XDG Desktop Portal backend for Hyprland.
 It is a program that lets other applications communicate swiftly with
 the compositor through D-Bus.
 .
 You do not have to use xdg-desktop-portal-hyprland. Hyprland will work
 with xdg-desktop-portal-wlr, but xdg-desktop-portal-hyprland has
 more features, such as window sharing.
 .
 On the other hand, xdg-desktop-portal-hyprland will work on other
 wlroots-based compositors, although limited to the xdg-desktop-portal-wlr
 features (other will be disabled).
