=== debian/changelog ===
xdg-desktop-portal-hyprland (1.3.8-3) unstable; urgency=medium

  * New maintainer. (Closes: #1093708)
  * Add recommended dependency as per upstream suggestion.
  * Add upstream metadata.
  * Add Salsa CI pipeline configuration.
  * Add lintian override for hyprland-share-picker (no documentation).

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 08 Mar 2025 21:57:01 +0100

xdg-desktop-portal-hyprland (1.3.8-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093708)

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 12:51:49 -0500

xdg-desktop-portal-hyprland (1.3.8-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Oct 2024 18:57:27 -0400

xdg-desktop-portal-hyprland (1.3.8-1~exp1) experimental; urgency=medium

  * New upstream version 1.3.8.
  * debian/control: Build with sdbus-cpp 2.0.0. (Closes: #1086492)

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Oct 2024 08:12:22 -0400

xdg-desktop-portal-hyprland (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6. (Closes: #1084740, #1084390)
  * debian/control: Add new build-dependencies.

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Oct 2024 08:09:47 -0400
