=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: xdg-desktop-portal-hyprland
 Section: x11
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Carl Keinath <carl.keinath@gmail.com>
+Rules-Requires-Root: no
 Build-Depends:
  cmake (>= 3.19),
  debhelper-compat (= 13),
  hyprland-protocols,
+ hyprwayland-scanner (>= 0.4.2),
  libdrm-dev,
  libgbm-dev,
  libhyprlang-dev,
+ libhyprutils-dev,
  libpipewire-0.3-dev,
- libsdbus-c++-dev,
+ libsdbus-c++-dev (>= 2.0),
  libspa-0.2-dev,
  libwayland-dev,
  pkgconf,
  qt6-base-dev,
  wayland-protocols,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/xdg-desktop-portal-hyprland
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland
@@ -26,6 +29,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ xdg-desktop-portal-gtk,
 Description: XDG Desktop Portal backend for Hyprland
  This package provides an XDG Desktop Portal backend for Hyprland.
  It is a program that lets other applications communicate swiftly with
