## xdg-desktop-portal-hyprland 1.3.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
   libdrm
   gbm
   hyprlang>=0.2.0
-  hyprutils
+  hyprutils>=0.2.6
   hyprwayland-scanner>=0.4.2)
 
 # check whether we can find sdbus-c++ through pkg-config
@@ -130,7 +130,10 @@
             true)
 protocolnew("${HYPRLAND_PROTOCOLS}/protocols" "hyprland-toplevel-export-v1"
             true)
-protocolnew("unstable/linux-dmabuf" "linux-dmabuf-unstable-v1" false)
+protocolnew("${HYPRLAND_PROTOCOLS}/protocols" "hyprland-toplevel-mapping-v1"
+        true)
+protocolnew("stable/linux-dmabuf" "linux-dmabuf-v1" false)
+protocolnew("staging/ext-foreign-toplevel-list" "ext-foreign-toplevel-list-v1" false)
 
 # Installation
 install(TARGETS hyprland-share-picker)
