=== debian/changelog ===
xdg-desktop-portal-hyprland (1.3.10-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Migrated to Version 5
  * d/copyright: added email
  * Moved VCS to team namespace

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 04 Oct 2025 11:29:40 +0200
