=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xdg-desktop-portal-hyprland
 Section: x11
 Priority: optional
-Maintainer: Carl Keinath <carl.keinath@gmail.com>
+Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
+Uploaders: Carl Keinath <carl.keinath@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
  cmake (>= 3.19),
  debhelper-compat (= 13),
- hyprland-protocols,
+ hyprland-protocols (>= 0.6.3),
  hyprwayland-scanner (>= 0.4.2),
  libdrm-dev,
  libgbm-dev,
@@ -21,8 +22,8 @@
  wayland-protocols,
 Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/xdg-desktop-portal-hyprland
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland.git
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland
+Vcs-Git: https://salsa.debian.org/hyprland-team/xdg-desktop-portal-hyprland.git
+Vcs-Browser: https://salsa.debian.org/hyprland-team/xdg-desktop-portal-hyprland
 
 Package: xdg-desktop-portal-hyprland
 Architecture: any
