## xdg-desktop-portal-hyprland 1.3.11

=== meson_options.txt ===
option('systemd', type: 'feature', value: 'auto', description: 'Install systemd user service unit')
