=== debian/changelog ===
xdg-desktop-portal-hyprland (1.3.11-1) unstable; urgency=medium

  * New upstream release
  * d/control: added team-members to Uploaders

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 17 Oct 2025 22:06:47 +0200
