=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
-Uploaders: Carl Keinath <carl.keinath@gmail.com>
+Uploaders:
+ Carl Keinath <carl.keinath@gmail.com>,
+ Chow Loong Jin <hyperair@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
  cmake (>= 3.19),
  debhelper-compat (= 13),
+ pkgconf,
  hyprland-protocols (>= 0.6.3),
  hyprwayland-scanner (>= 0.4.2),
  libdrm-dev,
@@ -17,7 +20,6 @@
  libsdbus-c++-dev (>= 2.0),
  libspa-0.2-dev,
  libwayland-dev,
- pkgconf,
  qt6-base-dev,
  wayland-protocols,
 Standards-Version: 4.7.2
