=== debian/watch ===
Version: 5

Template: Github
Owner: hyprwm
Project: xdg-desktop-portal-hyprland
